Package org.apache.velocity.runtime.parser.node

# Class IndentationFixer

java.lang.Object
org.apache.velocity.runtime.parser.node.IndentationFixer

All Implemented Interfaces:
  `StandardParserVisitor`

public class IndentationFixer extends Object implements StandardParserVisitor
Helper class to fix indentation in structured mode.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`extraIndentation`
`protected Pattern`
`fix`
`protected String`
`parentIndentation`

## Constructor Summary

Constructors
Constructor
Description
`IndentationFixer(String parentIndentation)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fillExtraIndentation(String prefix)`
`Object`
`visit(ASTAddNode node, Object data)`
`Object`
`visit(ASTAndNode node, Object data)`
`Object`
`visit(ASTAssignment node, Object data)`
`Object`
`visit(ASTBlock node, Object data)`
`Object`
`visit(ASTComment node, Object data)`
`Object`
`visit(ASTDirectiveAssign node, Object data)`
`Object`
`visit(ASTDirective node, Object data)`
`Object`
`visit(ASTDivNode node, Object data)`
`Object`
`visit(ASTElseIfStatement node, Object data)`
`Object`
`visit(ASTElseStatement node, Object data)`
`Object`
`visit(ASTEQNode node, Object data)`
`Object`
`visit(ASTEscapedDirective node, Object data)`
`Object`
`visit(ASTEscape node, Object data)`
`Object`
`visit(ASTExpression node, Object data)`
`Object`
`visit(ASTFalse node, Object data)`
`Object`
`visit(ASTFloatingPointLiteral node, Object data)`
`Object`
`visit(ASTGENode node, Object data)`
`Object`
`visit(ASTGTNode node, Object data)`
`Object`
`visit(ASTIdentifier node, Object data)`
`Object`
`visit(ASTIfStatement node, Object data)`
`Object`
`visit(ASTIndex node, Object data)`
`Object`
`visit(ASTIntegerLiteral node, Object data)`
`Object`
`visit(ASTIntegerRange node, Object data)`
`Object`
`visit(ASTLENode node, Object data)`
`Object`
`visit(ASTLTNode node, Object data)`
`Object`
`visit(ASTMap node, Object data)`
`Object`
`visit(ASTMethod node, Object data)`
`Object`
`visit(ASTModNode node, Object data)`
`Object`
`visit(ASTMulNode node, Object data)`
`Object`
`visit(ASTNegateNode node, Object data)`
`Object`
`visit(ASTNENode node, Object data)`
`Object`
`visit(ASTNotNode node, Object data)`
`Object`
`visit(ASTObjectArray node, Object data)`
`Object`
`visit(ASTOrNode node, Object data)`
`Object`
`visit(ASTprocess node, Object data)`
`Object`
`visit(ASTReference node, Object data)`
`Object`
`visit(ASTSetDirective node, Object data)`
`Object`
`visit(ASTStringLiteral node, Object data)`
`Object`
`visit(ASTSubtractNode node, Object data)`
`Object`
`visit(ASTTextblock node, Object data)`
`Object`
`visit(ASTText node, Object data)`
`Object`
`visit(ASTTrue node, Object data)`
`Object`
`visit(ASTWord node, Object data)`
`Object`
`visit(SimpleNode node, Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parentIndentation

protected String parentIndentation

### extraIndentation

protected String extraIndentation

### fix

protected Pattern fix

## Constructor Details

### IndentationFixer

public IndentationFixer(String parentIndentation)

## Method Details

### fillExtraIndentation

protected void fillExtraIndentation(String prefix)

### visit

public Object visit(SimpleNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTprocess node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTText node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTEscapedDirective node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTEscape node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTComment node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTTextblock node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTFloatingPointLiteral node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTIntegerLiteral node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTStringLiteral node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTIdentifier node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTWord node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTDirectiveAssign node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTDirective node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTBlock node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTMap node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTObjectArray node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTIntegerRange node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTMethod node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTIndex node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTReference node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTTrue node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTFalse node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTIfStatement node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTElseStatement node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTElseIfStatement node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTSetDirective node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTExpression node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTAssignment node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTOrNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTAndNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTEQNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTNENode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTLTNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTGTNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTLENode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTGENode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTAddNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTSubtractNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTMulNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTDivNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTModNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTNotNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`

### visit

public Object visit(ASTNegateNode node, Object data)

Specified by:
  `visit` in interface `StandardParserVisitor`